/**
 * Copyright (c) 2010 Alois Glomann gnalff@lucubrators.net
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package net.lucubrators.honeycomb.example;

import javax.servlet.http.HttpServletRequest;

import net.lucubrators.honeycomb.core.bind.Binder;
import net.lucubrators.honeycomb.core.messages.ErrorMessage;
import net.lucubrators.honeycomb.core.messages.Messages;

public class PojoBinder {

	@Binder
	public void bindPojo(HttpServletRequest request, Pojo pojo, Messages messages) {
		String username = request.getParameter("username");
		if (username == null || username.isEmpty()) {
			messages.addMessage(new ErrorMessage("username", "Username is empty", username));
		} else {
			pojo.setUsername(username);
		}
		String password = request.getParameter("password");
		if (password == null || password.isEmpty()) {
			messages.addMessage(new ErrorMessage("password", "Password is empty", password));
		} else if (password.length() < 6) {
			messages.addMessage(new ErrorMessage("password", "Your Password is too short", password));
		} else {
			pojo.setPassword(password);
		}
	}

}
